import * as appstate from '../appstate.js';
import { DeesElement } from '@design.estate/dees-element';
export declare class OpsViewLogs extends DeesElement {
    accessor logState: appstate.ILogState;
    private lastPushedCount;
    constructor();
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): import("@design.estate/dees-element").TemplateResult<1>;
    connectedCallback(): Promise<void>;
    updated(changedProperties: Map<string, any>): Promise<void>;
    private pushLogsToChart;
    private getMappedLogEntries;
}
